Update Maven build.

* Set min Maven version to reflect CBI plugins requirement
* Update ECJ to 3.21

Change-Id: Ie76dba641da5acb41fb8ae1735e2916fdedbde2b
Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
diff --git a/pom.xml b/pom.xml
index 04719f7..f6618ed 100644
--- a/pom.xml
+++ b/pom.xml
@@ -19,7 +19,7 @@
   <version>1.0.101-SNAPSHOT</version>
   <packaging>pom</packaging>
   <prerequisites>
-    <maven>3.5.4</maven>
+    <maven>3.6.1</maven>
   </prerequisites>
 
   <properties>
@@ -40,7 +40,7 @@
     <egit-repo.url>http://download.eclipse.org/egit/updates</egit-repo.url>
     <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
     <cbi-jdt-repo.url>https://repo.eclipse.org/content/repositories/eclipse-staging/</cbi-jdt-repo.url>
-    <cbi-ecj-version>3.20.0.v20191009-1609</cbi-ecj-version>
+    <cbi-ecj-version>3.21.0.v20200304-1404</cbi-ecj-version>
     
 
     <cbi-snapshots-repo.url>https://repo.eclipse.org/content/repositories/cbi-snapshots/</cbi-snapshots-repo.url>